#ifndef _BHCUSTDISP_H_
#define _BHCUSTDISP_H_

#include <bhdev.h>

namespace bhpos{

/**
 * \defgroup bhcustdisp Customer Display
 * \@{
 *
 * \ingroup hwlib
 * \@{	
 */
   
enum CustdispDeviceType{
   CPDEV_TYPE_NONE,
   CPDEV_TYPE_PRINTER,
   CPDEV_TYPE_SERIAL
};

enum CustdispTextType{
   CPDEV_TEXTTYPE_OVERWRITE,
   CPDEV_TEXTTYPE_APPEND,
   CPDEV_TEXTTYPE_SCROLLING,
   CPDEV_TEXTTYPE_TIME
};


class CCustDisp : public CBhDevice
{
private:
	bool bGraphical;
	int  xchars, ylines;
public:
	CCustDisp(BhDevType);
	~CCustDisp();
};

/* }@ 
	}@ */
}

#endif // _BHCUSTDISP_H_
